Subject: Re: Git is not scalable with too many refs/*

From: Johan Herland <[email-masked]>
Date: Tue, 14 Jun 2011 12:02:46 +0200

On Tuesday 14 June 2011, Sverre Rabbelier wrote:
> Heya,
> 
> On Tue, Jun 14, 2011 at 06:41, Junio C Hamano <[email-masked]> wrote:
> > I would rather want to see if somebody can come up with a flexible
> > reverse mapping feature around notes. It does not have to be
> > completely generic, just being flexible enough is fine.
> 
> Wouldn't it be enough to simply create a note on 'r651235' with as
> contents the git ref?

Not quite sure what you mean by "create a note on 'r651235'". You could 
devise a scheme where you SHA1('r651235'), and then create a note on the 
resulting hash.

Notes are named by the SHA1 of the object they annotate, but there is no 
hard requirement (as long as you stay away from "git notes prune") that the 
SHA1 annotated actually exists as a valid Git object in your repo.

Hence, you can use notes to annotate _anything_ that can be uniquely reduced 
to a SHA1 hash.

...Johan

-- 
Johan Herland, <[email-masked]>
www.herland.net